
; Definitionen fr Mega32

; Belegungen der Atmel-Ports:

;*****************************************************************

;	PA0		ADC0				
;   PA1		ADC1		
;	PA2		ADC2		
;   PA3		ADC3      	LCD /CSA
;   PA4		ADC4		LCD /CSB
;   PA5		ADC5		LCD DI
;	PA6		ADC6		LCD RW
;	PA7		ADC7		LCD E		

;	PB0		XCK/T0				
;   PB1		T1				
;   PB2		INT2/AIN0   
;   PB3		OC0/AIN1    
;   PB4		SS			
;   PB5		MOSI		ISP
;	PB6		MISO		ISP
;	PB7		SCK			ISP
				
;   PC0		SCL			LCD D0		
;   PC1		SDA			LCD D1	
;   PC2		TCK			LCD D2			
;   PC3		IMS			LCD D3
;	PC4		TDO			LCD D4		
;	PC5		TDI			LCD D5
;	PC6		TOSC1		LCD D6
;	PC7		TOSC2		LCD D7

;   PD0		RxD			
;   PD1		TxD			
;   PD2		INT0				
;   PD3		INT1		
;   PD4	    OC1B		 
;   PD5		OC1A		
;   PD6		ICP1		
;   PD7		OC2			


;*****************************************************************

;--- Allgemeines -----------------------------------------------

.equ    F_CPU           = 8000000	
.equ    CYCLES_PER_US   = ((F_CPU+800000)/1000000)

;--- Display ---------------------------------------------------------

.equ	CHAR_PER_LINE 		= 20	; Font 8x6
.equ	CHAR_WIDTH			= 6 ; Breite

.equ	CHAR_PER_LINE_BIG	= 10	; Font 16x12
.equ	CHAR_WIDTH_BIG		= 12 ; Breite


;**************************** Ram-Reservierungen ******************

;--- Internes Ram ------------------------------------------------

.DSEG

.ORG    $060    
LCD_LINE:		.byte	CHAR_PER_LINE		

;**************************** Register-Bits **************************

;--- LCD-Display ---------------------------------------------------------

.equ	LCD_CTRL	= PORTA
.equ	LCD_CSA		= PA3
.equ	LCD_CSB		= PA4
.equ	LCD_DI		= PA5
.equ	LCD_RW		= PA6
.equ	LCD_E		= PA7	

.equ	LCD_DATA	= PORTB

;--- lower Register -----------------------------------------------

.def	MUL_L		= r0
.def	MUL_H		= r1

.def	BCD_0		= r13					; BCD value digits 1 and 0
.def	BCD_1		= r14					; BCD value digits 3 and 2
.def	BCD_2		= r15					; BCD value digit 4

.equ	AtBCD0		= 13					; address of tBCD0
.equ	AtBCD2		= 15					; address of tBCD2

;--- higher Register ----------------------------------------------

.def    TEMP_A      = r16                   ; temporre  8Bit-Register
.def    TEMP_B      = r17 
.def	TEMP_C		= r18
.def	TEMP_D		= r19

; r26/r27, r28/r29, r30/r31 fr X,Y,Z reserviert 

;--- Macros -------------------------------------------------------

.macro  load_p                      ; ldt 16Bit @1 nach @0 High und @0 Low

        ldi     @0H,HIGH(@1)
        ldi     @0L,LOW(@1)

.endmacro

