
; ATmega32

; Secure-Bits fr Mega32:
; 0 gesetzt SUT0 -> Haken in PonyProg
; ext. Quarz 8MHz

; 27.02.2007 M'Soft Berlin

.include "m32def.inc"

.include "Definitionen.inc"

;****************************** Verktor-Liste ****************************

.CSEG
                rjmp    reset

;****************************** Programm-Beginn **********************

;*********************************************************************
;  Initialisierungsroutine
;*********************************************************************

; Hardware initialisieren

.org	INT_VECTORS_SIZE

reset:  ldi     TEMP_A,low(RAMEND)			; Stack an das interne Ram-Ende
        out     SPL,TEMP_A
        ldi     TEMP_A,high(RAMEND)
        out     SPH,TEMP_A

; Port A *************************************************************

		ldi		TEMP_A,(1<<LCD_CSA) | (1<<LCD_CSB) | (1<<LCD_DI)
		out		PORTA,TEMP_A					
		ldi		TEMP_A,(1<<LCD_CSA) | (1<<LCD_CSB) | (1<<LCD_DI)| (1<<LCD_E)| (1<<LCD_RW)
		out		DDRA,TEMP_A

; Port B *************************************************************

		ser		TEMP_A						; alle High/PullUp ein
		out     PORTB,TEMP_A                
		out     DDRB,TEMP_A

; Port C *************************************************************

		ser		TEMP_A						; alle High/PullUp ein
		out     PORTC,TEMP_A				; alle Ausgang 
		clr		TEMP_A						; alle Eingang
		out     DDRC,TEMP_A					
	
; Port D *************************************************************
		
		ser		TEMP_A						; alle  High / PullUp ein
		out     PORTD,TEMP_A 
		out     DDRD,TEMP_A            	   

;*********************************************************************				 

; Software initialisieren

		rcall lcd_init
										 
;*********************************************************************
;  Main-Loop
;*********************************************************************

main:					

		load_p	Z,(2*test_text_big)
		load_p	Y,LCD_LINE
		rcall	copy_rom_txt

		ldi		TEMP_A,1
		rcall	lcd_write_line_big

		load_p	Z,(2*test_text)
		load_p	Y,LCD_LINE
		rcall	copy_rom_txt

		ldi		TEMP_A,4
		rcall	lcd_write_line

main_end:
		rjmp main_end

; --- Tasten - Auswertung -------------------------------------------

.include "Subroutinen.inc"

.include "KS0108.inc"

.include "Tabellen.inc"

.include "Font.inc"
