
;**************************** Allgemeine Routinen **************************

;***************************************************************************
;  Rom nach Ram kopieren Z - Rom-Adresse, Y- Ram-Adresse, Ende bei 0-Byte
;
;  Scratch-Reg: ZH, ZL, YH, YL, TEMP_A
;***************************************************************************

copy_rom_txt:
        lpm		TEMP_A,Z+
		tst		TEMP_A
		breq	copy_rom_txt_end

        st      Y+,TEMP_A
        brne    copy_rom_txt

copy_rom_txt_end:

        ret

;*********************************************************************
;  Warte 50s
;
;  Scratch-Reg: -
;*********************************************************************

wait_50us:
		push	TEMP_A
		ldi		TEMP_A,50*(CYCLES_PER_US/3)

wait_50us_loop:
		dec		TEMP_A
		brne	wait_50us_loop

		pop		TEMP_A

		ret

;*********************************************************************
;  Warte 5ms
;
;  Scratch-Reg: -
;*********************************************************************

wait_5ms:
        push    ZL
        push    ZH

        load_p  Z,5000*(CYCLES_PER_US/4)
		        ; 5 mS warten, 4 = Anzahl Befehls-Zyclen vom sbiw + brcc

d_loop:
        sbiw    ZL,1
        brne    d_loop

        pop     ZH
        pop     ZL

        ret
